summaryrefslogtreecommitdiff
path: root/testsuite/word-delim.sh
diff options
context:
space:
mode:
authorClint Adams <clint@debian.org>2018-12-22 09:24:04 -0500
committerClint Adams <clint@debian.org>2018-12-22 09:24:04 -0500
commit678b6305a7d074da7cfb48fccdf7261042a4336d (patch)
treec0d05d9f8978af415c5cea9ec39fc85b6bfb6cec /testsuite/word-delim.sh
Import sed_4.7.orig.tar.xz
[dgit import orig sed_4.7.orig.tar.xz]
Diffstat (limited to 'testsuite/word-delim.sh')
-rwxr-xr-xtestsuite/word-delim.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/testsuite/word-delim.sh b/testsuite/word-delim.sh
new file mode 100755
index 0000000..ade3137
--- /dev/null
+++ b/testsuite/word-delim.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Exercise the DFA regression in sed-4.6.
+. "${srcdir=.}/testsuite/init.sh"; path_prepend_ ./sed
+print_ver_ sed
+
+require_en_utf8_locale_
+
+# Also ensure that this works in both the C locale and that multibyte one.
+# In the C locale, it failed due to a dfa.c regression in sed-4.6.
+echo 123-x > in || framework_failure_
+echo 123 > exp || framework_failure_
+
+for locale in C en_US.UTF-8; do
+ LC_ALL=$locale sed 's/.\bx//' in > out 2>err || fail=1
+ compare exp out || fail=1
+ compare /dev/null err || fail=1
+done
+
+Exit $fail